#!/usr/bin/env bash

NOTIFY_ICON=/usr/share/icons/breeze/apps/48/system-software-update.svg

get_total_updates() { UPDATES=$(checkupdates 2>/dev/null | wc -l); }

while true; do
    get_total_updates

    # notify user of updates
    if hash notify-send &>/dev/null; then
        if (( UPDATES > 200 )); then
            notify-send -a Aggiornamenti -u critical -i $NOTIFY_ICON \
                "Nuovi aggiornamenti trovati" "$UPDATES nuovi aggiornamenti. Clicca sul modulo degli aggiornamenti per installarli."
        fi
    fi

    # when there are updates available
    # every 10 seconds another check for updates is done
    while (( UPDATES > 0 )); do
        if (( UPDATES == 1 )); then
            echo " $UPDATES"
        elif (( UPDATES > 100 )); then
            echo " $UPDATES"
        fi
        sleep 10
        get_total_updates
    done

    # when no updates are available, use a longer loop, this saves on CPU
    # and network uptime, only checking once every 30 min for new updates
    while (( UPDATES < 20 )); do
        #echo " Niente"
        sleep 1800
        get_total_updates
    done
done
